Can't start Policy Manager 8.4 on a 32 bit machine

Document ID : KB000057619
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

Installed Policy Manager 8.4 on my 32-bit Windows 7.

Policy Manager fails on the following error. 

"Unable to start the program: This version of %1 is not compatible with the version of Windows you're running. Check your comput".

 

 

Solution:

JRE packed into Policy Manager Version8.4 is 64bit.

The JRE can't be used on 32bit.

 

Workaround(for 32 bit) is as the following. 

01. Install 32 bit JRE to target PC.

02. SET  the above JRE  to path of the environment variable.

03. Edit Layer 7 Policy Manager.bat.

---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

@java -Xms128M -Xmx256M -Xss256k -Dfile.encoding=UTF-8 -Duser.language=en -Duser.country=US -Dsun.net.inetaddr.ttl=10 -Dnetworkaddress.cache.ttl=10 -jar Manager.jar @echo Layer 7 Policy Manager has finished. Its final log messages are shown above. @pause

---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------